> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getpartna.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get multiple records

> Retrieves a collection of voucher records, sorted in descending order by their creation date.



## OpenAPI

````yaml get /v1/voucher/get-many
openapi: 3.0.2
info:
  title: Ventogram merchant API
  version: 1.0.0
  description: Ventogram merchant API
servers:
  - url: https://staging-vouchers.ventogram.com/api
    description: Production
security: []
tags: []
paths:
  /v1/voucher/get-many:
    get:
      tags:
        - Voucher
      summary: Get multiple records
      description: >-
        Retrieves a collection of voucher records, sorted in descending order by
        their creation date.
      operationId: get-many
      parameters:
        - in: query
          name: page
          description: >-
            Defaults to 1. This is the current page being requested relative to
            size of a page
          required: false
          schema:
            type: number
        - in: query
          name: pageSize
          description: The number of items to be retured per page
          required: false
          schema:
            type: number
        - in: query
          name: paymentStatus
          description: Voucher payment status
          required: false
          schema:
            type: string
            enum:
              - paid
              - unpaid
      responses:
        '200':
          description: successful operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - true
                  message:
                    type: string
                  data:
                    type: array
                    description: >-
                      An array containing the retrieved voucher records, sorted
                      in descending order by their creation date.
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        email:
                          type: string
                        amount:
                          type: number
                        fee:
                          type: number
                        currency:
                          type: string
                        feeBearer:
                          type: string
                          enum:
                            - client
                            - merchant
                        expectedAmount:
                          type: number
                        fullname:
                          type: string
                        paymentStatus:
                          type: string
                          enum:
                            - paid
                            - unpaid
                        merchant:
                          type: string
                        memo:
                          type: string
                        createdAt:
                          type: string
                          format: date-time
                        rateKey:
                          type: string
                          description: >-
                            This is defined only if the voucher was created
                            using a valid rate key
                        voucherCode:
                          type: string
                          description: >-
                            This is defined only if the voucher payment has been
                            received
                        paidAt:
                          type: string
                          format: date-time
                          description: >-
                            This is defined only if the voucher payment has been
                            received
                        receivedAmount:
                          type: number
                          description: >-
                            This is defined only if the voucher payment has been
                            received
                        dateRedeemed:
                          type: string
                          format: date-time
                          description: >-
                            This is defined only if the voucher payment has been
                            received
                        rate:
                          type: number
                          description: >-
                            This is defined only if the voucher has been paid
                            and redeemed
                  meta:
                    type: object
                    properties:
                      nextPage:
                        type: string
                        description: >-
                          Contanis the URL of the next page to be fetched
                          relative on the URL parameters of the last page
                          fetched. This is null if there are no more records to
                          fetch.
                      prevPage:
                        type: string
                        description: >-
                          Contanis the URL of the previous page that was fetched
                          fetched relative on the URL parameters of the current
                          page
        '400':
          description: Failed operation
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  message:
                    type: string
                  errors:
                    type: array
                    items:
                      type: string
      security:
        - ApiUser: []
          ApiKey: []
components:
  securitySchemes:
    ApiUser:
      type: apiKey
      in: header
      name: X-Api-User
    ApiKey:
      type: apiKey
      in: header
      name: X-Api-Key

````